# Generated by Django 4.2.11 on 2024-05-16 20:08

from django.db import migrations, models
import edc_crf.model_mixins.crf_status_model_mixin


class Migration(migrations.Migration):

    dependencies = [
        ("meta_subject", "0204_glucosefbg_repeat_fbg_date_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="historicalsubjectrequisition",
            name="crf_status",
            field=models.CharField(
                choices=[
                    ("INCOMPLETE", "Incomplete (some data pending)"),
                    ("COMPLETE", "Complete"),
                ],
                default=edc_crf.model_mixins.crf_status_model_mixin.get_crf_status_default,
                help_text="If some data is still pending, flag this CRF as incomplete",
                max_length=25,
                verbose_name="CRF status",
            ),
        ),
        migrations.AddField(
            model_name="historicalsubjectrequisition",
            name="crf_status_comments",
            field=models.TextField(
                blank=True,
                help_text="for example, why some data is still pending",
                null=True,
                verbose_name="Any comments related to status of this CRF",
            ),
        ),
        migrations.AddField(
            model_name="subjectrequisition",
            name="crf_status",
            field=models.CharField(
                choices=[
                    ("INCOMPLETE", "Incomplete (some data pending)"),
                    ("COMPLETE", "Complete"),
                ],
                default=edc_crf.model_mixins.crf_status_model_mixin.get_crf_status_default,
                help_text="If some data is still pending, flag this CRF as incomplete",
                max_length=25,
                verbose_name="CRF status",
            ),
        ),
        migrations.AddField(
            model_name="subjectrequisition",
            name="crf_status_comments",
            field=models.TextField(
                blank=True,
                help_text="for example, why some data is still pending",
                null=True,
                verbose_name="Any comments related to status of this CRF",
            ),
        ),
        migrations.AlterField(
            model_name="dmdxresult",
            name="utestid",
            field=models.CharField(
                choices=[("fbg", "FBG mmol/L"), ("ogtt", "OGTT mmol/L"), ("hba1c", "HbA1c %")],
                max_length=15,
                verbose_name="Test",
            ),
        ),
        migrations.AlterField(
            model_name="historicaldmdxresult",
            name="utestid",
            field=models.CharField(
                choices=[("fbg", "FBG mmol/L"), ("ogtt", "OGTT mmol/L"), ("hba1c", "HbA1c %")],
                max_length=15,
                verbose_name="Test",
            ),
        ),
    ]
